"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureToggle = void 0;
var feature_toggle_service_1 = require("feature-toggle-service");
/**
 * Checks if feature toggle is turned on of turned off
 *
 * @param {string} toggle: name of the feature toggle previously configured via `FeatureToggleProvider`
 *
 * @returns boolean
 */
/**
 *
 *
 * @param {(string[] | string)} featureName: : name of the feature toggle previously configured via `FeatureToggleProvider`
 *
 * @returns boolean
 */
var isOnCheck = function (featureName) {
    var isFeatureToggleOn = function (toggle) {
        return toggle[0] === '!' ? !feature_toggle_service_1.isOn(toggle.replace('!', '')) : feature_toggle_service_1.isOn(toggle);
    };
    if (typeof featureName === 'string') {
        return isFeatureToggleOn(featureName);
    }
    else if (Array.isArray(featureName)) {
        return featureName.every(isFeatureToggleOn);
    }
    return false;
};
exports.FeatureToggle = function (props) {
    var showContent = isOnCheck(props.featureName);
    return showContent ? props.children : null;
};
